Atomikos Forum

All feedback will be investigated, but priority support, confidential support, and product priority updates are reserved for customers. Interested in becoming a customer? Subscribe here...

Only registered users can post (registration is free). Problems registering? Send an email to support@atomikos.com to get help.


Question about your github site and a code issue report

When I check your github site I see that the normal github Issues capability hasn't been enabled. I was wondering if this was intentional or an oversight on your part.

I am asking because I wanted to open an issue against the code. I have forked your transactions-essentials codebase and have configured the Google errorprone-compiler and have run it against the modules. So far I have produced an indication that there is erroneous code in the transactions module.

The following is the error message produced by the errorprone-compiler. The standard javac compiler doesn't catch this error.

[INFO] Compiling 67 source files to /Users/andy/java/atomikos/atomikos/public/transactions/target/classes
/Users/andy/java/atomikos/atomikos/public/transactions/src/main/java/com/atomikos/icatch/imp/CoordinatorStateHandler.java:368: error: [CollectionIncompatibleType] Argument 'p' should not be passed to this method; its type Participant is not compatible with its collection's type argument String
                        Integer sibnum = cascadeList_.get ( p );
                                                          ^
    (see http://errorprone.info/bugpattern/CollectionIncompatibleType)
Andy Glick Send private email
zaterdag 18 februari 2017
 
 

This topic is archived. No further replies will be accepted.

Other recent topics Other recent topics
 
Powered by FogBugz